using System;
using System.Collections.Generic;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
   public class Rule1006
    {
       // このメソッドは CA1006 に違反しています。
       public IEnumerable<string> ToFlat(IEnumerable<IEnumerable<string>> collection)
       {
           foreach (IEnumerable<string> innerCollection in collection)
           {
               foreach (string value in innerCollection)
               {
                   yield return value;
               }
           }
       }
    }
}
